Misc.Color(3)

NAME
Misc.Color - no description

Module
Module Misc.Color

Documentation

Module Color
 : sig end

type color =
 | Black
 | Red
 | Green
 | Yellow
 | Blue
 | Magenta
 | Cyan
 | White

type style =
 | FG of color
 | BG of color
 | Bold
 | Reset

val ansi_of_style_l : style list -> string

type styles = {
 error : style list ;
 warning : style list ;
 loc : style list ;
 }

val default_styles : styles

val get_styles : unit -> styles

val set_styles : styles -> unit

type setting =
 | Auto
 | Always
 | Never

val default_setting : setting

val setup : setting option -> unit

val set_color_tag_handling : Format.formatter -> unit